#include <bits/stdc++.h>
#define ll long long
using namespace std;

void resi(){
    long long n,m;
    cin >> n >> m;
    if(m==1 || n==1){
        cout << n*m;
        return;
    }
    long long ans = 2*(n+m-2) + ((n-2)/2*(m-2));
    ans += (n%2)?(m-2)/2:0;
    cout << ans << '\n';
    return;
}
int main(){
cin.tie(0);
ios::sync_with_stdio(false);
    resi();
    return 0;
}